Skip to main content
GET
/
api
/
military
/
v1
/
list-military-flights
ListMilitaryFlights
curl --request GET \
  --url https://api.example.com/api/military/v1/list-military-flights
{
  "flights": [
    {
      "id": "<string>",
      "callsign": "<string>",
      "hexCode": "<string>",
      "registration": "<string>",
      "aircraftType": "MILITARY_AIRCRAFT_TYPE_UNSPECIFIED",
      "aircraftModel": "<string>",
      "operator": "MILITARY_OPERATOR_UNSPECIFIED",
      "operatorCountry": "<string>",
      "location": {
        "latitude": 0,
        "longitude": 0
      },
      "altitude": 123,
      "heading": 123,
      "speed": 123,
      "verticalRate": 123,
      "onGround": true,
      "squawk": "<string>",
      "origin": "<string>",
      "destination": "<string>",
      "lastSeenAt": 123,
      "firstSeenAt": 123,
      "confidence": "MILITARY_CONFIDENCE_UNSPECIFIED",
      "isInteresting": true,
      "note": "<string>",
      "enrichment": {
        "manufacturer": "<string>",
        "owner": "<string>",
        "operatorName": "<string>",
        "typeCode": "<string>",
        "builtYear": "<string>",
        "confirmedMilitary": true,
        "militaryBranch": "<string>"
      }
    }
  ],
  "clusters": [
    {
      "id": "<string>",
      "name": "<string>",
      "location": {
        "latitude": 0,
        "longitude": 0
      },
      "flightCount": 123,
      "flights": [
        {
          "id": "<string>",
          "callsign": "<string>",
          "hexCode": "<string>",
          "registration": "<string>",
          "aircraftType": "MILITARY_AIRCRAFT_TYPE_UNSPECIFIED",
          "aircraftModel": "<string>",
          "operator": "MILITARY_OPERATOR_UNSPECIFIED",
          "operatorCountry": "<string>",
          "location": {
            "latitude": 0,
            "longitude": 0
          },
          "altitude": 123,
          "heading": 123,
          "speed": 123,
          "verticalRate": 123,
          "onGround": true,
          "squawk": "<string>",
          "origin": "<string>",
          "destination": "<string>",
          "lastSeenAt": 123,
          "firstSeenAt": 123,
          "confidence": "MILITARY_CONFIDENCE_UNSPECIFIED",
          "isInteresting": true,
          "note": "<string>",
          "enrichment": {
            "manufacturer": "<string>",
            "owner": "<string>",
            "operatorName": "<string>",
            "typeCode": "<string>",
            "builtYear": "<string>",
            "confirmedMilitary": true,
            "militaryBranch": "<string>"
          }
        }
      ],
      "dominantOperator": "MILITARY_OPERATOR_UNSPECIFIED",
      "activityType": "MILITARY_ACTIVITY_TYPE_UNSPECIFIED"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "totalCount": 123
  }
}

Query Parameters

page_size
integer<int32>

Maximum items per page (1-100).

cursor
string

Cursor for next page.

ne_lat
number<double>

North-east corner latitude of bounding box.

ne_lon
number<double>

North-east corner longitude of bounding box.

sw_lat
number<double>

South-west corner latitude of bounding box.

sw_lon
number<double>

South-west corner longitude of bounding box.

operator
string

Optional operator filter.

aircraft_type
string

Optional aircraft type filter.

Response

Successful response

ListMilitaryFlightsResponse contains military flights and clusters.

flights
object[]
clusters
object[]
pagination
object

PaginationResponse contains pagination metadata returned alongside list results.